v.import(1)

NAME
v.import.py - Imports vector data into a GRASS vector map using OGR library and reprojects on the fly.

KEYWORDS
vector, import, projection

SYNOPSIS
v.import.py
v.import.py --help
v.import.py [-fl] input=name [layer=string[,string,...]] [output=name] [extent=string] [encoding=string] [snap=float] [epsg=integer] [datum_trans=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-f
    List supported OGR formats and exit

-l
    List available OGR layers in data source and exit

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of OGR datasource to be imported

layer=string[,string,...]
    OGR layer name. If not given, all available layers are imported

output=name
    Name for output vector map (default: input)

extent=string
    Output vector map extent
    Options: input, region
    Default: input
    input: extent of input map
    region: extent of current region

encoding=string
    Encoding value for attribute data

snap=float
    Snapping threshold for boundaries (map units)
    ’-1’ for no snap
    Default: 1e-13

epsg=integer
    EPSG projection code
    Options: 1-1000000

datum_trans=integer
    Index number of datum transform parameters
    -1 to list available datum transform parameters
    Options: -1-100

DESCRIPTION
v.import imports selected layers from a OGR vector datasource into the current location and mapset. If the projection of the input does not match the projection of the location, the input is reprojected into the current location. If the projection of the input does match the projection of the location, the input is imported directly with v.in.ogr.

NOTES

  Topology cleaning
When importing polygons, non-topological polygons are converted to topological areas. By default, a very small snapping threshold is applied (1e-13 map units) to avoid topological errors caused by numerical inaccuracy of the input data format. If the original polygons contain errors (unexpected overlapping areas or small gaps between polygons), the import might need to be repeated using a larger snap value.

EXAMPLE

# import SHAPE file at full extent and reproject to current location projection
v.import input=research_area.shp output=research_area extent=input

SEE ALSO
v.in.ogr, v.proj

AUTHORS
Markus Metz
Improvements: Martin Landa, Anna Petrasova

Last changed: $Date: 2015-01-20 20:52:27 +0100 (Tue, 20 Jan 2015) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.3 Reference Manual